package com.ruoyi.app2.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "post_publisher")
public class Publisher {
    private static final long serialVersionUID = 1L;

    /** 发行方头像 */
    private String publishimage;

    /** 发行方ID */
    private Long publisherId;

    /** 发行方账号 */
    @Excel(name = "发行方账号")
    private String publisherName;

    /** 发行方昵称 */
    @Excel(name = "发行方昵称")
    private String nickName;

    /** 发行方电子邮箱 */
    @Excel(name = "发行方电子邮箱")
    private String publisherEmail;

    /** 发行方联系电话 */
    @Excel(name = "发行方联系电话")
    private String publisherPhonenumber;

    /** 帐号状态（0正常 1停用） */
    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 客户联系地址 */
    @Excel(name = "客户联系地址")
    private String publisherAddress;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    private String createBy;
    private String updateBy;
    private Date createTime;
    private Date updateTime;
    private String remark;

}
