import request from '@/utils/request'

// 查询通知列表
export function listNoticee(query) {
  return request({
    url: '/bluee/noticee/list',
    method: 'get',
    params: query
  })
}

// 查询通知详细
export function getNoticee(noticeId) {
  return request({
    url: '/bluee/noticee/' + noticeId,
    method: 'get'
  })
}

// 新增通知
export function addNoticee(data) {
  return request({
    url: '/bluee/noticee',
    method: 'post',
    data: data
  })
}

// 修改通知
export function updateNoticee(data) {
  return request({
    url: '/bluee/noticee',
    method: 'put',
    data: data
  })
}

// 删除通知
export function delNoticee(noticeId) {
  return request({
    url: '/bluee/noticee/' + noticeId,
    method: 'delete'
  })
}
